import javax.microedition.midlet.MIDlet;
import javax.microedition.lcdui.*;

public class midlet extends MIDlet implements CommandListener {
 private Display display;
 private Command 
  cmdGo = new Command("", Command.ITEM, 1),
  cmdAscii = new Command("ASCII<->HEX", Command.ITEM, 2);
 public Command 
  cmdAbout = new Command(" ", Command.ITEM, 3),
  cmdExit = new Command("", Command.EXIT, 4);
 private Form main;
 private TextField NumberFrom,NumberTo,NotationFrom,NotationTo;

 public midlet () {
  display = Display.getDisplay(this);
  main = new Form (" ..");
  NumberFrom = new TextField (":","",12,TextField.ANY);
  NotationFrom = new TextField ("  :","10",2,TextField.NUMERIC);
  NotationTo = new TextField ("  :","16",2,TextField.NUMERIC);
  NumberTo = new TextField (":","",256,TextField.ANY);
  main.append (NumberFrom);
  main.append (NotationFrom);
  main.append (NotationTo);
  main.append (NumberTo);
  main.addCommand (cmdGo);
  main.addCommand (cmdAscii);
  main.addCommand (cmdAbout);
  main.addCommand (cmdExit);
  main.setCommandListener(this);
 }
 
 protected void startApp() {
  display.setCurrent (main);  
 }
 
 protected void pauseApp()  { }

 protected void destroyApp (boolean unconditional)  { }

 public void exit () {
  destroyApp (true);
  notifyDestroyed();
 }

 private void alert (String hdr, String msg, AlertType Type) {
  display.setCurrent (new Alert (hdr,msg,null,Type),display.getCurrent());
 }

 public void commandAction (Command c, Displayable d) {
  if (c==cmdGo) {
   int s1=10,s2=16; long n1=0;
   try {
    s1=Integer.parseInt (NotationFrom.getString().trim());
    s2=Integer.parseInt (NotationTo.getString().trim());
   }
   catch (NumberFormatException ne) {
    alert ("","       ..",AlertType.ERROR);
   } 
   if ((s1<2) || (s1>36) || (s2<2) || (s2>36)) {
    alert (""," ..-  2  36",AlertType.ERROR);
    return;
   }
   try {
    n1=Long.parseLong (NumberFrom.getString().trim(),s1);
   }
   catch (NumberFormatException ne) {
    alert ("","     ",AlertType.ERROR);
   }
   NumberTo.setString(Long.toString (n1,s2));
  }
  else if (c==cmdAscii) {
   Ascii2Hex Ascii2Hex = new Ascii2Hex (this,display);
   display.setCurrent (Ascii2Hex);
  }
  else if (c==cmdAbout) {
   alert (" ","   (   2  36)\n(C) PerS, pers@mail.ru",AlertType.INFO);
  }
  else if (c==cmdExit) {
   exit ();
  }
 }

}

